package com.tzld.longarticle.recommend.server.mapper.crawler;

import com.tzld.longarticle.recommend.server.model.dto.*;
import com.tzld.longarticle.recommend.server.model.entity.crawler.AccountCorrelation;

import java.util.List;

public interface CrawlerBaseMapper {

    void batchInsertAccountCorrelation(List<AccountCorrelation> list);

    Integer countGetOffVideos();

    List<GetOffVideos> pageGetOffVideos(int offset, int pageSize);

    Integer countLongArticlesRootSourceId();

    List<LongArticlesRootSourceId> pageLongArticlesRootSourceId(int offset, int pageSize);

    Integer countArticleMatchVideos();

    List<ArticleMatchVideos> pageArticleMatchVideos();

    Integer countLongArticlesVideos();

    List<LongArticlesVideo> pageLongArticlesVideos(long id, int pageSize);

    List<LongArticlesText> getLongArticlesText();

    List<LongArticlesVideo> getLongArticlesVideo(List<String> traceIds);
}
